Index: /tools/config-node.sh
===================================================================
--- /tools/config-node.sh	(revision 4989)
+++ /tools/config-node.sh	(revision 4990)
@@ -12,5 +12,6 @@
 #       file list, check node name to be valid, '-n' mode.
 #	make moving of final files a bit safer. (dirkx)
-# 1.04  Add auto read-only detection.
+# 1.04  Add auto read-only detection. (dirkx)
+# 1.05  Cope with WHOST containing a port number. (dirkx).
 #
 # If there is a global system configuration file, suck it in.
@@ -23,5 +24,5 @@
 HTTP_PROXY_DEFAULT=${HTTP_PROXY:-http://proxy.wleiden.net:3128}
 HTTP_USER_AGENT=${HTTP_USER_AGENT:-curl.faked.fetch/0.0}
-VERSION=1.04
+VERSION=1.05
 QUIET=${QUIET:-}
 PRETEND=no
@@ -96,4 +97,5 @@
 
 
+HOST=`echo ${WHOST} | sed -e 's/:.*//'`
 
 # connection test function
@@ -130,4 +132,5 @@
 	echo "nameserver ${resolver}" > /etc/resolv.conf
 
+
 	for nic in `ifconfig -l`
 	do
@@ -136,6 +139,6 @@
 		;;
   	*) 
-		if ping -qnoc ${WHOST}; then
-			echo Connection on interface ${nic} ok
+		if ping -qnoc ${HOST}; then
+			echo Connection on interface ${nic} to ${HOST} ok.
   		else
 			killall dhclient
@@ -241,5 +244,9 @@
 
 do_diff() {
-	diff -uwbB $1 $1.new
+	if test -e $1; then
+		diff -uwbB $1 $1.new
+	else
+		echo Warning: $1 does not yet exist - no DIFF
+	fi
 }
 
@@ -300,12 +307,14 @@
 
 if [ -z ${HTTP_PROXY} ]; then
-  (
-    log Checking DNS for ${WHOST}
-    host ${WHOST} > /dev/null || exit 1
-    log Checking if ${WHOST} can be reached
-    ping -qnoc 1 ${WHOST} > /dev/null || exit 1
-    log Connection OK
-    exit 0
-  ) || connset
+  	(
+		log Checking DNS for ${HOST}
+		host ${HOST} > /dev/null || exit 1
+		log Checking if ${HOST} can be reached
+		ping -qnoc 1 ${HOST} > /dev/null || exit 1
+		log Connection OK
+		exit 0
+	) || connset
+else
+	log Connection not checked because there is an http proxy configured: ${HTTP_PROXY}.
 fi
 
Index: /tools/g_list.pl
===================================================================
--- /tools/g_list.pl	(revision 4989)
+++ /tools/g_list.pl	(revision 4990)
@@ -9,6 +9,4 @@
 do($conf_file) || die("Cann't open $conf_file");
 
-
-
 my $HTML=1;
 
@@ -19,5 +17,5 @@
 #programma gestopt kan worden
 sub printline {
-  print "$_[0] \n";
+  print "$_[0]\n";
 };
 
